package cn.axzo.msg.center.notices.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 阿里云状态
 *
 * @Author: LiuYang
 * @Date: 2021/5/25 15:57
 */
@AllArgsConstructor
@Getter
public enum AliyunSmsStatusEnum {

  OK("OK", "发送成功"),
  DAY_LIMIT_CONTROL("isv.DAY_LIMIT_CONTROL", "已经达到您在控制台设置的短信日发送量限额值"),
  SMS_SIGN_ILLEGAL("isv.SMS_SIGN_ILLEGAL","签名禁止使用"),
  OUT_OF_SERVICE("isv.OUT_OF_SERVICE", "签名禁止使用"),
  SYSTEM_ERROR("isp.SYSTEM_ERROR", "请重新调用接口，如仍存在此情况请创建工单反馈工程师查看"),
  BUSINESS_LIMIT_CONTROL("isv.BUSINESS_LIMIT_CONTROL", "短信发送频率超限"),
  AMOUNT_NOT_ENOUGH("isv.AMOUNT_NOT_ENOUGH", "短信发送频率超限"),
      ;

  private String code;
  private String msg;


  }
